<script setup>
    import SideBarLink from '@/Components/SideBarLink.vue';

    const props = defineProps({
        user: {
            type: Object,
            default: {}
        }
    });

    const guestTabs = [
        {
            name: 'Home',
            route: 'home',
            component: 'Home',
            icon: 'fa-solid fa-house',
        },
    ];

    const clientTabs = [
        {
            name: 'Dashboard',
            route: 'dashboard',
            component: 'Dashboard',
            icon: 'fa-solid fa-gauge-high',
        },
        {
            name: 'Calendar',
            route: 'calendar',
            component: 'Calendar',
            icon: 'fa-solid fa-calendar-days',
        },
        {
            name: 'Active Matters',
            route: 'active_matters',
            component: 'ActiveMatters',
            icon: 'fa-solid fa-list-check',
        },
    ];

    const lawyerTabs = [
        {
            name: 'Clients',
            route: 'users.index',
            component: 'Users',
            icon: 'fa-solid fa-users',
        },
    ];

    const adminTabs = [
        {
            name: 'Users',
            route: 'users.index',
            component: 'Users',
            icon: 'fa-solid fa-users',
        },
    ];

    const sharedTabs = [
        {
            name: 'Documents',
            route: 'documents',
            component: 'Documents',
            icon: 'fa-regular fa-file-lines',
        },
        {
            name: 'Profile',
            route: 'profile.show',
            component: 'Profile/Show',
            icon: 'fa-solid fa-address-card',
        }
    ];

    let tabs = [];

    if (props.user && Object.keys(props.user).length > 0) {
        switch (props.user.role) {
            case 'lawyer':
                for (let index in lawyerTabs) {
                    tabs.push(lawyerTabs[index]);
                }
                break;
            case 'admin':
                for (let index in adminTabs) {
                    tabs.push(adminTabs[index]);
                }
                break;
            default:
                for (let index in clientTabs) {
                    tabs.push(clientTabs[index]);
                }
                break;
        }

        for (let index in sharedTabs) {
            tabs.push(sharedTabs[index]);
        }
    } else {
        for (let index in guestTabs) {
            tabs.push(guestTabs[index]);
        }
    }

</script>

<template>
    <nav>
        <ul class="list-none text-lg">
            <li
                class="mx-2 my-2"
                v-for="tab in tabs"
                :key="tab.name"
            >
                <font-awesome-icon :icon="tab.icon" />&nbsp;
                <SideBarLink
                    :href="route(tab.route)"
                    :active="$page.component === tab.component"
                >
                    {{ tab.name }}
                </SideBarLink>
            </li>
        </ul>
    </nav>
</template>
